export declare abstract class BaseApplication {
    private _koa;
    private _server;
    private _controllers;
    private _middlewares;
    constructor();
    start(port: number): void;
    stop(): void;
    useController(controller: Function | string): void;
    useMiddleware(middleware: Function | string): void;
}
